php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #7405 GD crashes Apache if PHP is running as module
Submitted: 2000-10-23 06:52 UTC Modified: 2001-06-18 19:53 UTC
From: wolf at online dot de Assigned:
Status: Closed Package: GD related
PHP Version: 4.0.3pl1 OS: WinNT/Win98SE
Private report: No CVE-ID: None
 [2000-10-23 06:52 UTC] wolf at online dot de
Using PHP4.03pl1 (binary dist), Apache 1.3.14 and using PHP as module (PHP4Apache.dll) the GD Library is not usable.
If Apache/PHP tries to load the PHP_GD.DLL Apache/PHP crashs.
(Using PHP as CGI everything is working fine.)
Crash is reproducable on Win98SE, WinNT4.0 SP5

Thanks for a solution of that problem
Axel Wolf.

 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-10-27 23:07 UTC] dbeu@php.net
the gd is not threadsafe yet, so wou'll have to use the cgi so far.
 [2001-01-07 03:55 UTC] sniper@php.net
Does PHP 4.0.4 work any better?

--Jani
 [2001-02-20 07:34 UTC] sniper@php.net
GD is not yet fully threadsafe.

--Jani

 [2001-06-12 10:44 UTC] dbeu@php.net
resources not being threadsafe was already fixed last year.
this works fine now.
 [2001-06-18 19:53 UTC] sniper@php.net
Closed then.

 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Nov 13 14:01:29 2019 UTC